jQuery(document).ready(function($) {

    $('.form_tags span').on('click', function(){
        var tag = '{{'+$(this).text()+'}}';
        console.log(tag);
        var container = $(this).parents('tr').find('input, textarea');
        container.val( container.val() + tag );
    });

    $('.newtag').on('click', function(){
        var newTag = '<tr> <th></th> <td><input type="text" name="fluent_forms-amocrm[tags][]" value="" placeholder="Введите тег"></td> <td><div class="button button-primary button-large removetag">Удалить</div></td> </tr>';
        $(this).parents('tr').before(newTag);
    });

    $('.new_utm').on('click', function(){
        lat_umt_id++;
        var new_utm  = '<div class="row">';
                new_utm += '<div class="value">';
                    new_utm += '<input type="text" name="amocrm_wc[utms]['+lat_umt_id+'][name]" value="custom">';
                new_utm += '</div>';
                new_utm += '<div class="value">';
                    new_utm += '<select name="amocrm_wc[utms]['+lat_umt_id+'][field_id]">';
                    $.each(amo_fields, function(field_id, field_name){
                        new_utm += '<option value="'+field_id+'">'+field_id+'</option>';
                    });
                    new_utm += '</select>';
                new_utm += '</div>';
                new_utm += '<div class="value"><span class="remove">Удалить</span></div>';
            new_utm += '</div>';
            $('.utms').append(new_utm);
    });
    

    $(document).on('click', '.removetag', function(){
        $(this).parents('tr').remove();
    });

    changePipeline(pipeline_id, pipeline_status);

    $('#pipeline_id').on('change', function(){
        var pipeline_id = $(this).val(); 
        changePipeline(pipeline_id, pipeline_status);
    });
    
    function changePipeline(pipeline_id = false, status = false){
        if(!pipeline_id){
            return false;
        }
        var options = '<option value="0">Не выбрано</option>';
        if( (pipeline_id in pipelines) && ('statuses' in pipelines[pipeline_id]) ){
            options += '<option value="unsortered_'+pipeline_id+'">Неразобранное</option>';
            $.each(pipelines[pipeline_id]['statuses'], function(status_id, value) {
                options += '<option value="'+status_id+'">'+value.name+'</option>'
            }); 
        }

        $('#p_status').html(options);

        if(status){
            $('#p_status option[value='+status+']').attr('selected', 'selected');
        }
        
    }

    $('#amocrm_wpf .delete_form').on('change', function(){
        var form = $(this).parents('form');
        var old_action = form.attr('action');
        var new_action = '/wp-admin/options-general.php?page=fluent_forms-amocrm';
        if( $(this).prop('checked') && confirm(confirm_lang) ){
            $('input[name=action]').val('delete_form');
            form.attr('action', new_action)
            $( "#amocrm_wpf" ).submit();
        }else{
            $(this).prop('checked', false);
            $('input[name=action]').val('save_custom_form');
            form.attr('action', old_action)
        }
    });
    
    $(document).on('click', '.leads_list .action span', function(){
        if(confirm(confirm_lang)){
            var data = [];
            var tr = $(this).parents('tr');
            data.push({ name:'action', value:'delete_lead'});
            data.push({ name:'lead_id', value: $(this).data('lead')});
            $.ajax({
                url : '/wp-admin/admin-ajax.php', //ajaxurl,
                type: 'POST',
                dataType: 'json',
                data:data,
                success:function(data){
                    if(data.status){
                        tr.remove();
                    }
                }
            });
        }
    });

    $('select').chosen({
        disable_search_threshold: 10,
        width: '100%',
        allow_single_deselect: true,
        no_results_text: 'Поиск не дал результатов: '
    });
});